<?php
if (!defined('W2P_BASE_DIR')) {
    die('You should not access this file directly.');
}

//$AppUI->savePlace();

if (isset( $_GET['project_id'] )) {
        $AppUI->setState( 'InvoiceIdxProject', $_GET['project_id'] );
}
$project_id = $AppUI->getState( 'InvoiceIdxProject' ) ? $AppUI->getState( 'InvoiceIdxProject' ) : 0;

// retrieve any state parameters
if (isset( $_GET['tab'] )) {
        $AppUI->setState( 'InvoiceIdxTab', $_GET['tab'] );
}
$tab = $AppUI->getState( 'InvoiceIdxTab' ) !== NULL ? $AppUI->getState( 'InvoiceIdxTab' ) : 1;
$active = intval( !$AppUI->getState( 'InvoiceIdxTab' ) );

$q = new w2p_Database_Query();
$q->addQuery('
	invoice_id,
	invoice_tag,
	invoice_project,
	invoice_status,
	invoice_date,
	invoice_creator');
$q->addTable('invoice');

$invoices = $q->loadList();

// setup the title block
$titleBlock = new w2p_Theme_TitleBlock( 'Invoice', 'applet3-48.png', $m, "$m.$a" );
$titleBlock->addCell();
if ($canEdit && $project_id) {
        $titleBlock->addCell(
                '<input type="submit" class="button" value="'.$AppUI->_('new invoice').'">', '',
                '<form action="?m=invoice&a=addedit&project_id=' . $project_id . '" method="post">', '</form>'
        );
}
$titleBlock->show();

// include the re-usable sub view
        $min_view = false;
//        include("{$AppUI->cfg['root_dir']}/modules/invoice/index.php");

// tabbed information boxes
$tabBox = new CTabBox( "?m=$m", W2P_BASE_DIR . "/modules/$m/", $tab );
$tabBox->add( "vw_open", 'Invoices (Open)' );
$tabBox->add( "vw_pend", 'Invoices (Pending)' );
$tabBox->add( "vw_paid", 'Invoices (Paid)' );
$tabBox->add( "vw_loss", 'Invoices (Loss)' );
$tabBox->show();

?>
